eopen('demo3.eps');
eglobpar;                     % get access to global parameters

etext('Multi Plot',50,eWinHeight-15,8,0,1)
ePlotTitleDistance=13;

% tics like Matlab
eAxesValueSpace=3;
eAxesTicLongLength=-1;
eAxesTicShortLength=0;

% plot1
ePlotAreaPos=[20 150];
ePlotAreaHeight=50;
ePlotAreaWidth=50;
eYAxisWestLabelText='f(x)';
eXAxisSouthLabelText='x [rad]';
ePlotTitleDistance=10;
ePlotTitleText='Simple Plot (like matlab)';
xData=0:0.1:2*pi;
eplot(xData,sin(xData),'sine',0,[1 0 0]);
eplot(xData,cos(xData),'cosine',2,[0 0 1]);
eplot

% tics  outside
eAxesValueSpace=1;
eAxesTicLongLength=4;
eAxesTicShortLength=2;


% plot2
ePolarPlotAreaCenterPos=[135 200];
ePolarPlotAreaRadMin=10;
ePolarPlotAreaRadMax=25;
ePolarAxisRadValueVisible=0;
ePlotTitleDistance=15;
ePlotTitleText='Polar Plot';
xData=0:0.01:2*pi;
epolar(xData,sin(xData*4),'sine',0,[1 0 0]);
epolar(xData,cos(xData*5),'cosine',2,[0 0 1]);
epolar

%plot3
ePlotAreaPos=[110 80];
ePlotAreaHeight=50;
ePlotAreaWidth=50;
eYAxisWestLabelText='';
eXAxisSouthLabelText='';
ePlotTitleDistance=5;
ePlotTitleText='Cross Axes';
eAxesCrossOrigin=1;
xData=-pi:0.1:pi;
eplot(xData,sin(xData),'',0,[1 0 0]);
eplot(xData,cos(xData),'',0,[0 0 1]);
eplot

% image1 plot
ePlotAreaPos=[20 50];
ePlotAreaHeight=50;
ePlotAreaWidth=50;
eYAxisWestLabelText='Rows of Matrix';
eXAxisSouthLabelText='Columns of Matrix';
eImageLegendPos=[0 -5];
ePlotTitleDistance=5;
ePlotTitleText='Random Image';
matrix=rand(30,30);
eimagesc(matrix,ecolors(3),'e');

% image2 plot
ePlotAreaPos=[110 10];
ePlotAreaHeight=50;
ePlotAreaWidth=50;
ePlotTitleDistance=5;
eImageLegendVisible=0;
eimage;

eclose;
eview;
